Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025886
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-03-04 00:052014-05-07 18:10
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision5494e746e052
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025886: When posting a payment using credit and multi-currency, Bank Revaluation Gain and Loss Accounts are used at the same time

DescriptionWhen posting a payment using credit and multi-currency, Bank Revaluation Gain and Loss Accounts are used at the same time
Steps To ReproduceAs group admin role:
   Create a Financial Account for F&B España S.A.:
      Currency: USD
   Add a Payment Method to it configured to post the payment in/out
      Upon Receipt/Payment Use: In Transit Payment Account
   (Cheque fulfill the requirement)
   Create a Price List in USD, add a Version and a Product to it
   Configure the already created Financial Account, Price List and Payment Method to a Business Partner set as Customer
   Create two Payments In for that Business Partner leaving the amount as credit and with different exchange rate. Example:
      Payment 1 - Amount: 400, Exchange Rate: 0.5
      Payment 2 - Amount: 800, Exchange Rate: 1.3
   ** Due to a possible regression, you should update through database the isinvoicepaid column of the related records in the fin_payment_scheduledetail to 'Y' in order to see the available credit
   Create a Sales Invoice for that business partner. Example:
      Line Net Amount: 1200
      Tax: Ventas exentas
   Select the already generated credit when completing the invoice
   Post the Payment In and check there is one entry in the Bank Revaluation Gain Account and another one in the Bank Revaluation Loss Account
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0025895 closedSandrahuguet Is impossible to pay a invoice with generated credit 

-  Notes
(0065083)
AtulOpenbravo (developer)
2014-03-12 09:35

Test Plan
- Login as F&B International Group Admin Role.
- Create a Financial Account for F&B España S.A keeping currency as USD.
- Add a Payment Method to it configured to post the payment in/out
  Upon Receipt/Payment Use: In Transit Payment Account.
- Create a Price List in USD, add a Version and a Product to it
- Configure the already created Financial Account, Price List and Payment Method to a Business Partner set as Customer.
- Create two Payments In for that Business Partner leaving the amount as credit and with different exchange rate. Example:
      Payment 1 - Amount: 400, Exchange Rate: 0.5
      Payment 2 - Amount: 800, Exchange Rate: 1.3
- Create a Sales Invoice for that business partner. Example:
      Line Net Amount: 1200
      Tax: Ventas exentas
- Select the already generated credit when completing the invoice. Notice that payment in is generated.
- Post the Payment In and check there is one entry in either Bank Revaluation Gain Account or Bank Revaluation Loss Account as applicable depending on the net effect of exchange rates on payment amount.
(0065297)
AtulOpenbravo (developer)
2014-03-20 09:31

Alternate Test Plan
- Login as F&B International Group Admin Role.
- Create a Financial Account for F&B España S.A keeping currency as USD.
- Add a Payment Method to it configured to disable the payment in/out & enable finacial account transaction posting.
  Upon Receipt/Payment Use: Keep blank.
  Upon Deposit/Withdrawal Use: In Transit Payment Account.
- Create a Price List in USD, add a Version and a Product to it
- Configure the already created Financial Account, Price List and Payment Method to a Business Partner set as Customer.
- Create two Payments In for that Business Partner leaving the amount as credit and with different exchange rate. Example:
      Payment 1 - Amount: 400, Exchange Rate: 0.5
      Payment 2 - Amount: 800, Exchange Rate: 1.3
- Create a Sales Invoice for that business partner. Example:
      Line Net Amount: 1300
      Tax: Ventas exentas
- Select the already generated credit when completing the invoice. Notice that payment in is generated.
- Reactivate the Payment, and add additional 100 so that the sales invoice gets completely paid.
- Post the Transaction entry in the Financial Account Transaction Tab and check there is one entry in either Bank Revaluation Gain Account or Bank Revaluation Loss Account as applicable depending on the net effect of exchange rates on payment amount.
(0065667)
hgbot (developer)
2014-04-01 14:49

Repository: erp/devel/pi
Changeset: 5494e746e052bc598b2f6bb16adee4c699accdc4
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Apr 01 18:06:18 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5494e746e052bc598b2f6bb16adee4c699accdc4 [^]

Fixes Issue 25886 When posting a payment using credit and multi-currency,
Bank Revaluation Gain and Loss Accounts are used at the same time

---
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransaction.java
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0065668)
AtulOpenbravo (developer)
2014-04-01 14:54

Re-opened to assign "Review Assigned To".
(0066000)
plujan (manager)
2014-04-02 09:04

Closed as it was in Resolved for too long
(0066049)
plujan (manager)
2014-04-02 09:11

Wrongly closed
(0066868)
hudsonbot (developer)
2014-05-07 18:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-04 00:05 ngarcia New Issue
2014-03-04 00:05 ngarcia Assigned To => jonalegriaesarte
2014-03-04 00:05 ngarcia Modules => Core
2014-03-04 00:05 ngarcia Triggers an Emergency Pack => No
2014-03-04 00:05 ngarcia Issue Monitored: ngarcia
2014-03-04 00:07 ngarcia Steps to Reproduce Updated View Revisions
2014-03-06 12:25 ngarcia Target Version => PR14Q2
2014-03-06 12:44 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-03-06 12:45 daniOpenbravo Issue Monitored: daniOpenbravo
2014-03-07 08:29 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-03-07 08:31 AtulOpenbravo Status new => scheduled
2014-03-07 08:31 AtulOpenbravo fix_in_branch => pi
2014-03-07 10:16 ngarcia Relationship added depends on 0025895
2014-03-12 09:35 AtulOpenbravo Note Added: 0065083
2014-03-20 09:31 AtulOpenbravo Note Added: 0065297
2014-03-31 16:17 jonalegriaesarte Target Version PR14Q2 => PR14Q3
2014-04-01 14:49 hgbot Checkin
2014-04-01 14:49 hgbot Note Added: 0065667
2014-04-01 14:49 hgbot Status scheduled => resolved
2014-04-01 14:49 hgbot Resolution open => fixed
2014-04-01 14:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5494e746e052bc598b2f6bb16adee4c699accdc4 [^]
2014-04-01 14:54 AtulOpenbravo Note Added: 0065668
2014-04-01 14:54 AtulOpenbravo Status resolved => new
2014-04-01 14:54 AtulOpenbravo Resolution fixed => open
2014-04-01 14:54 AtulOpenbravo Review Assigned To => ngarcia
2014-04-01 14:54 AtulOpenbravo Status new => scheduled
2014-04-01 14:54 AtulOpenbravo fix_in_branch pi =>
2014-04-01 14:55 AtulOpenbravo Status scheduled => resolved
2014-04-01 14:55 AtulOpenbravo Fixed in Version => pi
2014-04-01 14:55 AtulOpenbravo Resolution open => fixed
2014-04-02 09:04 plujan Note Added: 0066000
2014-04-02 09:04 plujan Status resolved => closed
2014-04-02 09:11 plujan Status closed => new
2014-04-02 09:11 plujan Note Added: 0066049
2014-04-02 09:12 plujan Status new => scheduled
2014-04-02 09:13 plujan Status scheduled => resolved
2014-04-02 10:44 ngarcia Status resolved => closed
2014-04-02 10:44 ngarcia Fixed in Version pi => PR14Q3
2014-05-07 18:10 hudsonbot Checkin
2014-05-07 18:10 hudsonbot Note Added: 0066868


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker